﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net6.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="../AppSettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>

    <Compile Include="Config.fs" />
    <Compile Include="Activity.fs" />
    <Compile Include="Commands.fs" />
    <Compile Include="Main.fs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="dotenv.net" Version="3.1.1" />
    <PackageReference Include="DSharpPlus" Version="4.2.0-nightly-01107" />
    <PackageReference Include="DSharpPlus.CommandsNext" Version="4.2.0-nightly-01107" />
    <PackageReference Include="DSharpPlus.SlashCommands" Version="4.2.0-nightly-01107" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="6.0.1" />
    <PackageReference Include="Microsoft.Extensions.Configuration.EnvironmentVariables" Version="6.0.1" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Update="FSharp.Core" Version="6.0.3" />
  </ItemGroup>

</Project>